import { get, post } from "../../utils/axios";

const apiUrl = `${process.env.REACT_APP_NETWORK_RESURRECTOR_API_URL}/network`;
const serverUrl = `${process.env.REACT_APP_NETWORK_RESURRECTOR_SERVER_URL}/resurrector`;

const readMachines = () => {
  const machinesPromise = get(`${apiUrl}/machines`);
  return machinesPromise;
};

const wakeMachine = macAddress => {
  const promise = post(`${serverUrl}/wake`, { macAddress });
  return promise;
};

const pingMachine = ipAddressOrMachineName => {
  const promise = post(`${serverUrl}/ping`, { ipAddressOrMachineName });
  return promise;
};

export { readMachines, wakeMachine, pingMachine };
